// BB(5) >= 4098 was found by Heiner Marxen and Juergen Buntrock
// in September 1989. The number of shifts SH is 47,176,870. The
// instructions read:
// 1B -> 21L, 11 -> 31R, 2B -> 31L, 21 -> 21L, 3B -> 41L,
// 31 -> 5BR, 4B -> 11R, 41 -> 41R, 5B -> S1L, 51 -> 1BR.
// This solution has been published in:
// H. Marxen and J. Buntrock. Attacking the Busy Beaver 5.
// Bulletin of the EATCS, 40, pages 247-251, February 1990.
// ---------------
start {
   sides 4
   //paint red
   back
   create s1
}
// ---------------
s1 {
  sides 4
  ifon red {
    paint red
    create s3
  }  {
    paint red
    2 back
    create s2
  }
}
// ---------------
s2 {
  sides 4
  ifon red {
    paint red
    2 back
    create s2
  }  {
    paint red
    2 back
    create s3
  }
}
// ---------------
s3 {
   sides 4
   ifon red {
      paint pink
      create s5
   } { 
      paint red
      2 back
      create s4
   }
}
// ---------------
s4 {
   sides 4
   ifon red {
      paint red
      create s4
   } { 
      paint red
      create s1
   }
}
// ---------------
s5 {
   sides 4
   ifon red {
      paint pink
      create s1
   } { 
      paint green
      //  halt
   }
}
